/*

----------------------------------------------------------------------------------------------
PAGE CSS BOX
----------------------------------------------------------------------------------------------

*/

* {
	font-family: 'Roboto', sans-serif;
}
body,
html {
	height: 100%;
	width: 100%;
	padding: 0;
	margin: 0;
	background-color: #01161e;
}
.container {
	background-color: #01161e;
	height: calc(100% - 40px);
	width: 100%;
}
.PersonalAccount {
	height: calc(100% - 20px);
	width: calc((100% - 40px) / 3);
	float: left;
	margin: 10px;
	margin-right: 0;
}
.FollowedPosts {
	height: calc(100% - 20px);
	width: calc((100% - 40px) / 3);
	float: left;
	margin: 10px;
	margin-right: 0;
}
.personalMessages {
	height: calc(100% - 20px);
	width: calc((100% - 40px) / 3);
	float: left;
	margin: 10px;
	margin-right: 0;
}
.underBar {
	width: 100%;
	height: 40px;
	background-color: #01161e;
}
::-webkit-scrollbar {
	display: none;
}

/*

----------------------------------------------------------------------------------------------
PROFILE MANAGEMENT CSS BOX
----------------------------------------------------------------------------------------------

*/

.headerPersonalAccount {
	height: 100px;
	width: 100%;
}
.accountPicture {
	height: 80px;
	width: 80px;
	margin: 10px;
	border: 0px;
	float: left;
	border-radius: 30%;
	object-fit: cover;
}
.usernameInput {
	float: right;
	text-align: right;
	font-size: 20px;
	color: whitesmoke;
	font-weight: bold;
	height: auto;
	margin: 0px;
	width: calc(100% - 200px);
	margin-right: 10px;
	margin-top: 5px;
	border: 0;
	height: 30px;
	width: calc(100% - 152px);
	background-color: #01161e;
}
.changeUsernameButton {
	color: white;
	font-size: 30px;
	width: 30px;
	margin: 0;
	padding: 0;
	float: right;
	margin-right: 10px;
	cursor: pointer;
	height: 30px;
}
.uploadImageProfilePicture {
	float: right;
	background-color: #324a5f;
	border-radius: 20px;
	text-align: right;
	cursor: pointer;
	padding: 5px 10px;
	margin: 5px 0;
	font-size: 11px;
	margin-right: 10px;
	color: white;
	transition: all 0.5s;
}
.uploadImageProfilePicture:hover {
	font-size: 12px;
	color: white;
}
.saveUpdates {
	float: right;
	background-color: rgb(0, 255, 179);
	border-radius: 20px;
	text-align: right;
	cursor: pointer;
	padding: 5px 10px;
	margin: 5px 0;
	font-size: 11px;
	margin-right: 10px;
	color: #01161e;
}
.saveUpdates:hover {
	background-color: rgb(4, 219, 155);
	color: white;
}
.bioProfile {
	width: calc(100% - 110px);
	padding: 0;
	height: calc(100% - 69px);
	float: right;
	margin: 0;
	text-align: right;
	font-size: 11px;
	color: white;
	overflow: scroll;
	margin-right: 10px;
	border: 0;
	background-color: #01161e;
	word-wrap: break-word;
	text-align: right;
}
textarea {
	resize: none;
}

/*

----------------------------------------------------------------------------------------------
SEARCH USER CSS BOX
----------------------------------------------------------------------------------------------

*/

.searchUserBar {
	height: 40px;
	width: 100%;
	line-height: 40px;
	text-align: center;
	vertical-align: middle;
	display: flex;
	justify-content: center;
	align-items: center;
}
.searchUsers {
	height: 20px;
	border: 0px;
}
.outputSearch {
	padding: 0px;
	list-style-type: none;
	color: whitesmoke;
	max-height: 170px;
	overflow: scroll;
	-webkit-transition: ease-in-out all 2s;
	-o-transition: ease-in-out all 2s;
	transition: ease-in-out all 2s;
}
.outputSearch {
	margin: auto;
	border: 0;
	padding: 10px;
	border-radius: 10px;
}
.outputSearch li {
	cursor: pointer;
	margin-bottom: 10px;
}
.outputSearch li:hover h1 {
	color: #437f97;
}
.outputSearch li h1 {
	padding: 0;
	margin: 0;
	font-size: 20px;
}
.outputSearch li p {
	padding: 0;
	margin: 0;
	font-size: 10px;
}
.rightListAdd {
	margin: 0 auto;
	height: 37px;
	padding-right: 5px;
}
.rightListAdd img {
	width: 37px;
	height: 37px;
	border-radius: 50%;
}
.leftListAdd {
	margin: 0 auto;
	padding-left: 5px;
	height: 37px;
}
.searchUserBar h1 {
	font-size: 15px;
	padding: 0 0 0 10px;
	margin: 0px;
	color: #437f97;
}
.outputUserDiv {
	text-align: center;
	height: calc(100% - 40px);
	width: 100%;
	overflow: scroll;
	display: flex;
	justify-content: center;
	align-items: center;
}

/*

----------------------------------------------------------------------------------------------
END
----------------------------------------------------------------------------------------------

*/

@media only screen and (max-width: 1000px) {
	.headerPersonalAccount {
		height: 100px;
		width: 80%;
		margin: auto;
	}
	.PersonalAccount {
		height: 100%;
		width: calc(100% - 20px);
		margin: 10px;
	}
	.FollowedPosts {
		height: auto;
		width: calc(100% - 20px);
		margin: 10px;
	}
	.personalMessages {
		height: auto;
		width: calc(100% - 20px);
		margin: 10px;
	}
}
